<template>
  <div>
    <el-tag v-for="dict in dictData" v-if="dict.value === value" :type="dict.class" :size="size" :effect="effect">{{ dict.label }}</el-tag>
  </div>
</template>

<script>
export default {
  name: "TableTag",
  props: {
    dictData: {
      required: true
    },
    value: {
      required: true
    },
    size: {
      default: 'medium'
    },
    effect: {
      default: ''
    }
  },
  data() {
    return {

    }
  },
  mounted() {
  }
}
</script>
